> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.method.security/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.method.security/_mcp/server.

# Get Issue

GET /method-api-gateway/api/v1/issues/{id}

Retrieve an issue from Method using its ID

Reference: https://docs.method.security/developer/api-reference/api-reference/v-1/issues/get-issue

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — The unique identifier for an issue in Method

## Response

### 200

- `id` (string, required) — The unique identifier for an issue in Method
- `issueDetailsLink` (string, required)
- `environmentId` (string, required) — The unique identifier for an environment in Method
- `environmentName` (string, required)
- `description` (string, required)
- `remediation` (string, required)
- `status` (enum, required)
  - Allowed values: `OPEN`, `CLOSED`, `ARCHIVED`
- `severity` (enum, required)
  - Allowed values: `CRITICAL`, `HIGH`, `MEDIUM`, `LOW`, `INFO`
- `affectedObjectId` (string, required) — The unique identifier for an object in Method
- `affectedObjectTitle` (string, required)
- `affectedObjectDetailsLink` (string, required)
- `closedReason` (enum, optional)
  - Allowed values: `RESOLVED`, `CLOSED_BY_AGENT`, `ACCEPTED_RISK`, `FALSE_POSITIVE`, `NOT_APPLICABLE`
- `validationStatus` (enum, optional)
  - Allowed values: `VALIDATED`, `INVALIDATED`

## Errors

### 404 Issue Does Not Exist Error

- `string`

## Examples

**Response**

```json
{
  "id": "ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498",
  "issueDetailsLink": "https://host.com/issue/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498",
  "environmentId": "ri.method.ontology.environment.bba15eea-a124-4c96-aaef-5bb315bb2b77",
  "environmentName": "Example Environment",
  "description": "Example Vulnerability Type",
  "remediation": "Example Remediation Text",
  "status": "OPEN",
  "severity": "MEDIUM",
  "affectedObjectId": "ri.method.ontology.object.3ddb83c6-bcbd-4420-aa00-91e3be4db101",
  "affectedObjectTitle": "Example Object",
  "affectedObjectDetailsLink": "https://host.com/object/ri.method.ontology.object.3ddb83c6-bcbd-4420-aa00-91e3be4db101"
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/method-api-gateway/api/v1/issues/ri.method.ontology.issue.8c99d39e-4b5f-331c-8119-7d177fb4f498")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```